Block / Unblock

Please refer to the following limitations:

Whether I can add someone whom I’ve blocked to a channel that I own

X

Whether someone whom I’ve blocked can join a channel that I own

X

Whether someone whom I’ve blocked can be added as a member to a channel that I am a member of

O

Whether someone whom I’ve blocked can join a channel that I am a member of

O

Whether I can be added as a member to a channel that is owned by someone I’ve blocked

X

Whether I can join a channel that is owned by someone I’ve blocked

X

Whether I can be added as a member to a channel where someone I’ve blocked is a member of

O

Whether I can join a channel where someone I’ve blocked is a member of

O

Get Blocked Users

GET https://api.talkplus.io/v1.4/api/users/:userId/blocked

Get list of users blocked by given user

Path Parameters

Name
Type
Description

userId*

string

current user

Query Parameters

Name
Type
Description

lastUserId

string

Last user ID to query from (use for pagination)

Headers

Name
Type
Description

app-id*

string

App ID

api-key*

string

App API key

Block User

POST https://api.talkplus.io/v1.4/api/users/:userId/block

Block user

Path Parameters

Name
Type
Description

userId*

string

current user

Headers

Name
Type
Description

content-type

string

application/json

app-id*

string

App ID

api-key*

string

App API key

Request Body

Name
Type
Description

userId*

string

user to block

Unblock User

POST https://api.talkplus.io/v1.4/api/users/:userId/unblock

Unblock user

Path Parameters

Name
Type
Description

userId*

string

current user

Headers

Name
Type
Description

content-type

string

application/json

app-id*

string

App ID

api-key*

string

App API key

Request Body

Name
Type
Description

userId*

string

user to unblock

Last updated